
<%
 # provide locals: :security [ :smr_position ]
 smr_position = false unless smr_position
 type = if security.has_type_model? then security.get_type else false end
%>

<div class="overview_container">
<table id="overview_securityinfo" class="type_<%=security.type%>">
  <thead>
    <tr><th colspan="2"><%= type ? type.describe_type : 'Unknown' %> Note</th></tr>
  </thead>
  <tbody>
 <% if type %>
    <tr>
        <td>Coupon</td>
        <td><%= type.coupon %><span>paid every <%= type.coupon_interval %> months</span></td>
    </tr>
    <tr>
        <td>Issue Size</td>
        <td><%=smr_humanize type.issue_size, :shortword=>true%></td>
    </tr>
    <tr>
        <td>Denomination</td>
        <td><%=type.denomination%> <%=type.currency%></td>
    </tr>
    <% if type.is_subordinated or type.is_callable or type.is_stepdown or type.is_stepup %>
    <tr>
        <td>Flags</td>
        <td>
          <%if type.is_subordinated %><div class="bond_flags"><%= check_box_tag :is_subordinated, '1', type.is_subordinated, :disabled=>true %><%= label_tag :is_subordinated %></div><% end %>
          <%if type.is_callable %><div class="bond_flags"><%= check_box_tag :is_callable, '1', type.is_callable, :disabled=>true %>        <%= label_tag :is_callable %>    </div><% end %>
          <%if type.is_stepdown %><div class="bond_flags"><%= check_box_tag :is_stepup, '1', type.is_stepup, :disabled=>true %>            <%= label_tag :is_stepup %>      </div><% end %>
          <%if type.is_stepup %><div class="bond_flags"><%= check_box_tag :is_stepdown, '1', type.is_stepdown, :disabled=>true %>        <%= label_tag :is_stepdown %>    </div><% end %>
        </td>
    </tr>
    <% end %>
    <tr>
        <td>Redemption</td>
        <td>
          <% if type.date_maturity > 0 %>
            matures on <%= smr_humanize type.time_maturity %>
            <span>in <%= if type.redemption_installments > 1 then '%i installments' % type.redemption_installments else 'full' end %></span>
          <% end %>
          <% if type.date_first_call > 0 %>
            next possible call on <%= smr_humanize type.time_next_call(smr_browse_date) %>
            <% if type.call_interval > 0 %>
              <span>then every <%= type.call_interval %>months</span>
            <% end %>
          <% end %>
          <% if type.call_price > 0 %>Call price is <%= type.call_price%><% end %>
        </td>
    </tr>
 <% end %>
  </tbody>
</table>
</div>
